Alarm.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/Alarm.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Driver.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueByte.h"`

## Enumerations

enum | AlarmCmd { AlarmCmd_Get = 0x04, AlarmCmd_Report = 0x05, AlarmCmd_SupportedGet = 0x07, AlarmCmd_SupportedReport = 0x08 }
enum | { AlarmIndex_Type = 0, AlarmIndex_Level, AlarmIndex_SourceNodeId }
enum | { Alarm_General = 0, Alarm_Smoke, Alarm_CarbonMonoxide, Alarm_CarbonDioxide, Alarm_Heat, Alarm_Flood, Alarm_Access_Control, Alarm_Burglar, Alarm_Power_Management, Alarm_System, Alarm_Emergency, Alarm_Clock, Alarm_Appliance, Alarm_HomeHealth, Alarm_Count }

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
AlarmIndex_Type |
AlarmIndex_Level |
AlarmIndex_SourceNodeId |

## anonymous enum

anonymous enum

Enumerator
Alarm_General |
Alarm_Smoke |
Alarm_CarbonMonoxide |
Alarm_CarbonDioxide |
Alarm_Heat |
Alarm_Flood |
Alarm_Access_Control |
Alarm_Burglar |
Alarm_Power_Management |
Alarm_System |
Alarm_Emergency |
Alarm_Clock |
Alarm_Appliance |
Alarm_HomeHealth |
Alarm_Count |

## AlarmCmd

enum AlarmCmd

Enumerator
AlarmCmd_Get |
AlarmCmd_Report |
AlarmCmd_SupportedGet |
AlarmCmd_SupportedReport |